#ifndef METHODRETURNVALUE_H_
#define METHODRETURNVALUE_H_

#include "MethodReturnValueBase.h"
#include "smoke.h"

class MethodReturnValue : public MethodReturnValueBase
{
public:
    MethodReturnValue(Smoke *smoke, const Smoke::Index methodIndex, const Smoke::Stack stack, zval *&retval);
	virtual ~MethodReturnValue();
    Marshall::Action action();

private:
};

#endif /*METHODRETURNVALUE_H_*/
